System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags

These identifiers are used when calling the method of a code generator to determine whether the code generator supports generating certain types of code.

Defines identifiers used to determine whether a code generator supports certain types of code elements.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports arrays of arrays.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports assembly attributes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports chained constructor arguments.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports complex expressions.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports delegate declarations.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports enumeration declarations.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports event declarations.

- Field
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport

  Indicates the generator supports the declaration of indexer properties.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports interface declarations.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports value type declarations.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports a program entry point method designation. This is used when building executables.

- Field
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport

  Indicates the generator supports generic type declarations.

- Field
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport

  Indicates the generator supports generic type references.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports goto statements.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports referencing multidimensional arrays. Currently, the CodeDom cannot be used to instantiate multidimensional arrays.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports the declaration of members that implement multiple interfaces.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports the declaration of nested types.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports parameter attributes.

- Field
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport

  Indicates the generator supports partial type declarations.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports public static members.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports reference and out parameters.

- Field
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport

  Indicates the generator supports compilation with .NET Framework resources. These can be default resources compiled directly into an assembly, or resources referenced in a satellite assembly.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports return type attribute declarations.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports static constructors.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports try...catch statements.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.GeneratorSupport To be added

  Indicates the generator supports compilation with Win32 resources.